#include <LedControl.h>

LedControl lc = LedControl(12, 11, 10, 1);

byte coluna = B00000001;
int linha = 0;

void setup() 
{
  lc.shutdown(0,false);
  lc.setIntensity(0,1);
  lc.clearDisplay(0);
}

void loop() 
{  
  if(coluna == B00000000)
  {
    lc.setRow(0, linha, B00000000);
    coluna = B00000001;

    if(linha < 7)
    {
      linha++;
    }
    else
    {
      linha = 0;
    }
  }
  
  lc.setRow(0, linha, coluna);
  
  coluna = (coluna << 1);
  
  delay(180);
}
