#include <LedControl.h>

LedControl lc = LedControl(12, 11, 10, 1);

void setup() 
{
  lc.shutdown(0,false);
  lc.setIntensity(0,1);
  lc.clearDisplay(0);

  //Limita o número de linhas que deverá acender os leds
  //neste caso irá acender somente até a linha 5 da matriz de led 0
  lc.setScanLimit(0, 4);
}

void loop() 
{  
  lc.setRow(0, 0, B00000001);
  lc.setRow(0, 1, B00000010);
  lc.setRow(0, 2, B00000100);
  lc.setRow(0, 3, B00001000);
  lc.setRow(0, 4, B00010000);
  lc.setRow(0, 5, B00100000);
  lc.setRow(0, 6, B01000000);
  lc.setRow(0, 7, B10000000);

}
